summaryrefslogtreecommitdiffstats
path: root/source/xap/xine-ui/xine-ui.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xine-ui/xine-ui.SlackBuild')
-rwxr-xr-xsource/xap/xine-ui/xine-ui.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/source/xap/xine-ui/xine-ui.SlackBuild b/source/xap/xine-ui/xine-ui.SlackBuild
index 61650223f..65a18c183 100755
--- a/source/xap/xine-ui/xine-ui.SlackBuild
+++ b/source/xap/xine-ui/xine-ui.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
VERSION=${VERSION:-$(echo xine-ui-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# I would use "-march=i486 -mcpu=i686" here as usual, but with XINE it's all or nothing.
# I'd rather have it work well for the i686/Athlon crowd than suck for everyone.
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -47,11 +47,9 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf xine-ui-$VERSION
-tar xvf $CWD/xine-ui-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/xine-ui-$VERSION.tar.?z* || exit 1
cd xine-ui-$VERSION || exit 1
-zcat $CWD/xine-ui.png14.diff.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -59,11 +57,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/xine-ui.no.deprecated.curl.headers.diff.gz | patch -p1 --verbose || exit 1
+
XINE_BUILD=$TARGET \
./configure \
--prefix=/usr \
--with-aalib \
--with-caca \
+ --disable-lirc \
+ --mandir=/usr/man \
--build=$TARGET
make $NUMJOBS || make || exit 1